installation problems with latest sources

Hi,

I am not sure whether I should report installation/compilation problems.
I just downloaded the latest sources and I get the following compilation error on compiler-rt. I am on a machine with SLES11 SP3. The 3.3 stack compiles and works fine.

COMPILE: clang_linux/san-x86_64/x86_64: /home/ipandis/downloads/LLVM/llvm-latest-src/projects/compiler-rt/lib/sanitizer_common/sanitizer_posix_libcdep.cc
In file included from /home/ipandis/downloads/LLVM/llvm-latest-src/projects/compiler-rt/lib/sanitizer_common/sanitizer_platform_limits_posix.cc:53:
In file included from /usr/include/sys/vt.h:1:
/usr/include/linux/vt.h:74:15: error: expected member name or ‘;’ after
declaration specifiers
unsigned int new; /* New console (if changing) */


My machine:

$ cat /etc/*release*
LSB_VERSION="core-2.0-noarch:core-3.2-noarch:core-4.0-noarch:core-2.0-x86_64:core-3.2-x86_64:core-4.0-x86_64"
cat: /etc/lsb-release.d: Is a directory
SUSE Linux Enterprise Server 11 (x86_64)
VERSION = 11
PATCHLEVEL = 3
SUSE Linux Enterprise Server 11 (x86_64)
VERSION = 11
PATCHLEVEL = 3

$ uname -a
Linux loud19 3.0.93-0.8-default #1 SMP Tue Aug 27 08:44:18 UTC 2013 (70ed288) x86_64 x86_64 x86_64 GNU/Linux
$ gcc --version

gcc (SUSE Linux) 4.3.4 [gcc-4_3-branch revision 152973]

Regards,
-Ippokratis.